Package net.snowflake.client.internal.core.minicore

## Class MinicoreLoadResult

- java.lang.Object
- - net.snowflake.client.internal.core.minicore.MinicoreLoadResult

    @SnowflakeJdbcInternalApi
    public class MinicoreLoadResult
    extends Object

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static MinicoreLoadResult` `failure​(String errorMessage, String libraryFileName, Throwable exception, List<String> logs)`
`String` `getCoreVersion()`
`String` `getErrorMessage()`
`Throwable` `getException()`
`MinicoreLibrary` `getLibrary()`
`String` `getLibraryFileName()`
`List<String>` `getLogs()`
`boolean` `isSuccess()`
`static MinicoreLoadResult` `success​(String libraryFileName, MinicoreLibrary library, String coreVersion, List<String> logs)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### success

    public static MinicoreLoadResult success​(String libraryFileName,
                                             MinicoreLibrary library,
                                             String coreVersion,
                                             List<String> logs)

#### failure

    public static MinicoreLoadResult failure​(String errorMessage,
                                             String libraryFileName,
                                             Throwable exception,
                                             List<String> logs)

#### isSuccess

    public boolean isSuccess()

#### getErrorMessage

    public String getErrorMessage()

#### getException

    public Throwable getException()

#### getLibraryFileName

    public String getLibraryFileName()

#### getLibrary

    public MinicoreLibrary getLibrary()

#### getCoreVersion

    public String getCoreVersion()

#### getLogs

    public List<String> getLogs()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`